#include <SoftwareSerial.h>
#include <DFRobotDFPlayerMini.h>

SoftwareSerial mySoftwareSerial(10, 11); // RX, TX
DFRobotDFPlayerMini myDFPlayer;
void printDetail(uint8_t type, int value);

int pirSENSOR = 9;

void setup() {
  mySoftwareSerial.begin(9600);
  Serial.begin(115200);
  pinMode(pirSENSOR, INPUT);

  Serial.println();
  Serial.println(F("Initializing DFPlayer..."));

  //Use softwareSerial to communicate with MP3
  if (!myDFPlayer.begin(mySoftwareSerial)) {
    Serial.println(F("Unable to begin:"));
    Serial.println(F("1.Please recheck the connection!"));
    Serial.println(F("2.Please insert the SD card!"));
    while(true);
  }
  Serial.println(F("DFPlayer Mini online."));

  myDFPlayer.volume(2); //Set volume value (From 0 to 30)
}

void sensorActivated() {
  int pirSensor = digitalRead(pirSENSOR);
  if(pirSensor == HIGH)
  {
    Serial.println("Sensor Activated");
    Serial.println("DFPlayer Working...");
    myDFPlayer.enableLoopAll();
    delay(4500);
    myDFPlayer.disableLoopAll();
    
  }
  return;
}

void loop() {
  sensorActivated();
  delay(5000);
}
